Login
Newsletter
Werbung

Sicherheit: Mehrere Probleme in libvirt
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in libvirt
ID: openSUSE-SU-2019:1672-1
Distribution: SUSE
Plattformen: SUSE openSUSE Leap 15.0
Datum: Mo, 1. Juli 2019, 07:17
Referenzen: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-10166
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-10161
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-10167
Applikationen: libvirt

Originalnachricht

   openSUSE Security Update: Security update for libvirt
______________________________________________________________________________

Announcement ID: openSUSE-SU-2019:1672-1
Rating: important
References: #1136109 #1138301 #1138302 #1138303
Cross-References: CVE-2019-10161 CVE-2019-10166 CVE-2019-10167

Affected Products:
openSUSE Leap 15.0
______________________________________________________________________________

An update that solves three vulnerabilities and has one
errata is now available.

Description:

This update for libvirt fixes the following issues:

Security issues fixed:

- CVE-2019-10161: Fixed virDomainSaveImageGetXMLDesc API which could
accept a path parameter pointing anywhere on the system and potentially
leading to execution
of a malicious file with root privileges by libvirtd (bsc#1138301).
- CVE-2019-10166: Fixed an issue with virDomainManagedSaveDefineXML which
could have been used to alter the domain's config used for managedsave
or execute arbitrary emulator binaries (bsc#1138302).
- CVE-2019-10167: Fixed an issue with virConnectGetDomainCapabilities API
which could have been used to execute arbitrary emulators (bsc#1138303).

Other issue addressed:

- spec: add systemd-container dependency to qemu and lxc drivers
(bsc#1136109).

This update was imported from the SUSE:SLE-15:Update update project.


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 15.0:

zypper in -t patch openSUSE-2019-1672=1



Package List:

- openSUSE Leap 15.0 (i586 x86_64):

libvirt-4.0.0-lp150.7.18.2
libvirt-admin-4.0.0-lp150.7.18.2
libvirt-admin-debuginfo-4.0.0-lp150.7.18.2
libvirt-client-4.0.0-lp150.7.18.2
libvirt-client-debuginfo-4.0.0-lp150.7.18.2
libvirt-daemon-4.0.0-lp150.7.18.2
libvirt-daemon-config-network-4.0.0-lp150.7.18.2
libvirt-daemon-config-nwfilter-4.0.0-lp150.7.18.2
libvirt-daemon-debuginfo-4.0.0-lp150.7.18.2
libvirt-daemon-driver-interface-4.0.0-lp150.7.18.2
libvirt-daemon-driver-interface-debuginfo-4.0.0-lp150.7.18.2
libvirt-daemon-driver-lxc-4.0.0-lp150.7.18.2
libvirt-daemon-driver-lxc-debuginfo-4.0.0-lp150.7.18.2
libvirt-daemon-driver-network-4.0.0-lp150.7.18.2
libvirt-daemon-driver-network-debuginfo-4.0.0-lp150.7.18.2
libvirt-daemon-driver-nodedev-4.0.0-lp150.7.18.2
libvirt-daemon-driver-nodedev-debuginfo-4.0.0-lp150.7.18.2
libvirt-daemon-driver-nwfilter-4.0.0-lp150.7.18.2
libvirt-daemon-driver-nwfilter-debuginfo-4.0.0-lp150.7.18.2
libvirt-daemon-driver-qemu-4.0.0-lp150.7.18.2
libvirt-daemon-driver-qemu-debuginfo-4.0.0-lp150.7.18.2
libvirt-daemon-driver-secret-4.0.0-lp150.7.18.2
libvirt-daemon-driver-secret-debuginfo-4.0.0-lp150.7.18.2
libvirt-daemon-driver-storage-4.0.0-lp150.7.18.2
libvirt-daemon-driver-storage-core-4.0.0-lp150.7.18.2
libvirt-daemon-driver-storage-core-debuginfo-4.0.0-lp150.7.18.2
libvirt-daemon-driver-storage-disk-4.0.0-lp150.7.18.2
libvirt-daemon-driver-storage-disk-debuginfo-4.0.0-lp150.7.18.2
libvirt-daemon-driver-storage-iscsi-4.0.0-lp150.7.18.2
libvirt-daemon-driver-storage-iscsi-debuginfo-4.0.0-lp150.7.18.2
libvirt-daemon-driver-storage-logical-4.0.0-lp150.7.18.2
libvirt-daemon-driver-storage-logical-debuginfo-4.0.0-lp150.7.18.2
libvirt-daemon-driver-storage-mpath-4.0.0-lp150.7.18.2
libvirt-daemon-driver-storage-mpath-debuginfo-4.0.0-lp150.7.18.2
libvirt-daemon-driver-storage-scsi-4.0.0-lp150.7.18.2
libvirt-daemon-driver-storage-scsi-debuginfo-4.0.0-lp150.7.18.2
libvirt-daemon-driver-uml-4.0.0-lp150.7.18.2
libvirt-daemon-driver-uml-debuginfo-4.0.0-lp150.7.18.2
libvirt-daemon-driver-vbox-4.0.0-lp150.7.18.2
libvirt-daemon-driver-vbox-debuginfo-4.0.0-lp150.7.18.2
libvirt-daemon-hooks-4.0.0-lp150.7.18.2
libvirt-daemon-lxc-4.0.0-lp150.7.18.2
libvirt-daemon-qemu-4.0.0-lp150.7.18.2
libvirt-daemon-uml-4.0.0-lp150.7.18.2
libvirt-daemon-vbox-4.0.0-lp150.7.18.2
libvirt-debugsource-4.0.0-lp150.7.18.2
libvirt-devel-4.0.0-lp150.7.18.2
libvirt-doc-4.0.0-lp150.7.18.2
libvirt-libs-4.0.0-lp150.7.18.2
libvirt-libs-debuginfo-4.0.0-lp150.7.18.2
libvirt-lock-sanlock-4.0.0-lp150.7.18.2
libvirt-lock-sanlock-debuginfo-4.0.0-lp150.7.18.2
libvirt-nss-4.0.0-lp150.7.18.2
libvirt-nss-debuginfo-4.0.0-lp150.7.18.2
wireshark-plugin-libvirt-4.0.0-lp150.7.18.2
wireshark-plugin-libvirt-debuginfo-4.0.0-lp150.7.18.2

- openSUSE Leap 15.0 (x86_64):

libvirt-client-32bit-debuginfo-4.0.0-lp150.7.18.2
libvirt-daemon-driver-libxl-4.0.0-lp150.7.18.2
libvirt-daemon-driver-libxl-debuginfo-4.0.0-lp150.7.18.2
libvirt-daemon-driver-storage-rbd-4.0.0-lp150.7.18.2
libvirt-daemon-driver-storage-rbd-debuginfo-4.0.0-lp150.7.18.2
libvirt-daemon-xen-4.0.0-lp150.7.18.2
libvirt-devel-32bit-4.0.0-lp150.7.18.2


References:

https://www.suse.com/security/cve/CVE-2019-10161.html
https://www.suse.com/security/cve/CVE-2019-10166.html
https://www.suse.com/security/cve/CVE-2019-10167.html
https://bugzilla.suse.com/1136109
https://bugzilla.suse.com/1138301
https://bugzilla.suse.com/1138302
https://bugzilla.suse.com/1138303

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung